Description

Here is the debian init.d script I wrote for Prelude Correlator.

It uses standard LSB functions (which are not Debian specific) and start-stop-daemon, so it should work on other distros with the

same tools.

The script can be re-used for other Prelude components, just by replacing the name correlator.

Note: it reads a file /etc/default/prelude-correlator and uses some variables. Here is the Debian default file:

DAEMONUSER=prelude-correlator   # Users to run the daemons as.

RUN=yes  # set to yes to start the server in the init.d script.

         # you need to register the "prelude-correlator" profile

         # before being able to start the correlator automatically

 

HTH,

Pierre

History

#1 - 09/17/2008 06:47 PM - 

Hi,

Thanks for the effort. You should not do an "exit 0" without any message at all. It took me sometime to discover what the hell was going on.

One more time, thanks for posting the script.

#2 - 04/29/2009 12:20 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prelude Correlator

- Category deleted (11)

#3 - 03/02/2016 10:28 AM - Antoine LUONG

- Description updated

- Status changed from New to Resolved

Files

prelude-correlator.init 8.95 KB 07/10/2008 Pierre Chifflier
